Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.concurrent
Class SessionAlreadyUsedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.acegisecurity.AcegiSecurityException
                          org.acegisecurity.AuthenticationException
                              org.acegisecurity.concurrent.SessionAlreadyUsedException

All Implemented Interfaces:
  Serializable

    public class SessionAlreadyUsedException

extends AuthenticationException

Thrown by a `SessionRegistry` implementation if an attempt is made to create new session information for an existing sessionId. The user should firstly clear the existing session from the `ConcurrentSessionRegistry`.

Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`SessionAlreadyUsedException(String msg)`

Method Summary

Methods inherited from class org.acegisecurity.AuthenticationException
`getAuthentication`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionAlreadyUsedException

    public SessionAlreadyUsedException(String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.